aboutsummaryrefslogtreecommitdiffstats
path: root/roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j2
diff options
context:
space:
mode:
Diffstat (limited to 'roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j2')
-rw-r--r--roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j217
1 files changed, 17 insertions, 0 deletions
diff --git a/roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j2 b/roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j2
new file mode 100644
index 0000000..368e41e
--- /dev/null
+++ b/roles/yum_mirror/templates/usr/local/sbin/reposync.sh.j2
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+EXITSTATUS=0
+
+{% for repo in yum_mirror_repositories %}
+# {{ repo.name }}
+dnf reposync \
+ --norepopath \
+ --download-path {{ yum_mirror_webroot }}/{{ repo.path }} \
+ --download-metadata \
+ --delete \
+ --quiet \
+ --repo {{ repo.id }} || EXITSTATUS=1
+
+{% endfor %}
+
+exit $EXITSTATUS